## org.metaabm.act
Interface ASet

All Superinterfaces:
  AAccessor, AAct, ACommand, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ASetImpl

    public interface ASet

extends AAccessor, ACommand

Method Summary
`IValue` `getParameter()` Returns the value of the 'Parameter' reference.
`void` `setParameter(IValue value)` Sets the value of the '`Parameter`' reference.

Methods inherited from interface org.metaabm.act.AAccessor
`getAttribute, setAttribute`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Method Detail

### getParameter

    IValue getParameter()

  Returns the value of the 'Parameter' reference.

  If the meaning of the 'Parameter' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter' reference.
  See Also:
    `setParameter(IValue)`, `MetaABMActPackage.getASet_Parameter()`

### setParameter

    void setParameter(IValue value)

  Sets the value of the '`Parameter`' reference.

  Parameters:
    `value` - the new value of the 'Parameter' reference.
  See Also:
    `getParameter()`